Name: freesci
Version: 0.3.3
Release: alt1

Summary: Interpreter for playing Sierra Games
Summary (ru_RU.UTF-8): Интерпретатор для запуска игр фирмы Sierra
License: GPL
Group: Games/Adventure
Url: ftp://ftp.shaftnet.org/pub/freesci
Source0: %name-%version.tar.bz2
Source1: %name-setup
Source2: config.template
BuildRequires: XFree86-devel-static XFree86-libs aalib flex fontconfig freetype2 libSDL-devel libalsa2 libarts libaudiofile libexpat libgii-devel libggi-devel libslang

%description
FreeSCI is a portable interpreter for SCI games, such as the Space Quest
series (starting with SQ3) or Leisure Suit Larry (2 and sequels).

It has the following improvements over Sierra SCI:
- SCI0 background pictures can be rendered in higher resolutions and 256 colors
- saving and restoring the game state is possible from more places than the
  Sierra SCI engine allowed (using the debugger functions)
- Better debugger (we believe :-)
- More portable
- It's Free software :-)

FreeSCI is still incomplete. You should be able to finish some SCI games with
it.

%description -l ru_RU.UTF-8
FreeSCI - интерпретатор для SCI игр фирмы Sierra, таких как серии Space Quest
(начиная с SQ3) или Leisure Suit Larry (2 и последующие).

Преимущества FreeSCI по сравнению с интерпретатором Sierra:
- прорисовка фоновых картинок в режиме 256 цветов и с повышенным разрешением;
- более широкие возможности записи и восстановления состояния игры;
- улучшенный отладчик;
- переносимость;
- это свободная программа :)

Работа над FreeSCI ещё далека от завершения. Тем не менее уже сейчас с его
помощью можно пройти некоторые из игр до конца.

%package tools
Summary: Tools and utilities for working with Sierra resource files
Summary (ru_RU.UTF-8): Утилиты для работы с файлами данных игр Sierra
Group: Games/Adventure
Requires: %name

%description tools
This package includes: sciconsole is a command console for inspection of SCI data, 
scidisasm disassembles all script resources into .script files, sciunpack is a 
tool for unpacking, printing, and converting SCI resource data

%description tools -l ru_RU.UTF-8
В состав пакета входят следующие программы: sciconsole - командный монитор для
работы с данными SCI, scidisasm - дизассемблер сценариев и sciunpack - средство
для распаковки, печати и преобразования данных SCI.

%prep
%setup -q

%build
%configure
%make_build

%install
%makeinstall
install -m755 %SOURCE1 $RPM_BUILD_ROOT%_bindir/%name-setup
install -m644 -D %SOURCE2 $RPM_BUILD_ROOT%_datadir/games/%name/config.template
install -m644 -D desktop/freesci.png $RPM_BUILD_ROOT%_datadir/pixmaps/%name.png
# Menu
%__mkdir -p $RPM_BUILD_ROOT%_menudir
%__cat >$RPM_BUILD_ROOT%_menudir/%name <<EOF
?package(%name): command="%name-setup" needs="X11" \
section="Games/Adventure" title="FreeSCI Setup" \
longtitle="Graphical setup utility for FreeSCI" icon="%name.png"
EOF

%post
%update_menus

%postun
%clean_menus

%files
%_bindir/freesci*
%_datadir/games/%name
%_datadir/pixmaps/%name.png
%_menudir/%name
%_man6dir/freesci.6*
%doc AUTHORS ChangeLog COPYING NEWS THANKS TODO README README.Unix

%files tools
%_bindir/sciconsole
%_bindir/scidisasm
%_bindir/sciunpack
%_man6dir/freesci-tools.6*
%doc doc/sci.sgml doc/misc/*.txt* doc/misc/*.c* doc/misc/*.htm*

%changelog
* Thu Nov 21 2002 Vyacheslav Dikonov <slava@altlinux.ru> 0.3.3-alt1
- ALTLinux build
